|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWebSecurityOrigin Class Reference
[QtWebKit module]

The QWebSecurityOrigin class defines a security boundary for web sites. More...

     #include <QWebSecurityOrigin>

This class was introduced in Qt 4.5.

- List of all members, including inherited members

### Public Functions

- QWebSecurityOrigin ( const QWebSecurityOrigin & other )
- ~QWebSecurityOrigin ()
- qint64 databaseQuota () const
- qint64 databaseUsage () const
- QList<QWebDatabase> databases () const
- QString host () const
- int port () const
- QString scheme () const
- void setDatabaseQuota ( qint64 quota )
- QWebSecurityOrigin & operator= ( const QWebSecurityOrigin & other )

### Static Public Members

- QList<QWebSecurityOrigin> allOrigins ()

## Detailed Description

The QWebSecurityOrigin class defines a security boundary for web sites.

QWebSecurityOrigin provides access to the security domains defined by web sites. An origin consists of a host name, a scheme, and a port number. Web sites with the same security origin can access each other's resources for client-side scripting or databases.

### diagram

For example the site `http://www.example.com/my/page.html` is allowed to share the same database as `http://www.example.com/my/overview.html`, or access each other's documents when used in HTML frame sets and JavaScript. At the same time it prevents `http://www.malicious.com/evil.html` from accessing `http://www.example.com/`'s resources, because they are of a different security origin.

QWebSecurity also provides access to all databases defined within a security origin.

For more information refer to the "Same origin policy" Wikipedia Article.

See also QWebFrame::securityOrigin().

## Member Function Documentation

### QWebSecurityOrigin::QWebSecurityOrigin ( const QWebSecurityOrigin & other )

Constructs a security origin from other.

### QWebSecurityOrigin::~QWebSecurityOrigin ()

Destroys the security origin.

### QList<QWebSecurityOrigin> QWebSecurityOrigin::allOrigins () `[static]`

Returns a list of all security origins with a database quota defined.

### qint64 QWebSecurityOrigin::databaseQuota () const

Returns the quota for the databases in the security origin.

See also setDatabaseQuota().

### qint64 QWebSecurityOrigin::databaseUsage () const

Returns the number of bytes all databases in the security origin use on the disk.

### QList<QWebDatabase> QWebSecurityOrigin::databases () const

Returns a list of all databases defined in the security origin.

### QString QWebSecurityOrigin::host () const

Returns the host name defining the security origin.

### int QWebSecurityOrigin::port () const

Returns the port number defining the security origin.

### QString QWebSecurityOrigin::scheme () const

Returns the scheme defining the security origin.

### void QWebSecurityOrigin::setDatabaseQuota ( qint64 quota )

Sets the quota for the databases in the security origin to quota bytes.

If the quota is set to a value less than the current usage, the quota will remain and no data will be purged to meet the new quota. However, no new data can be added to databases in this origin.

See also databaseQuota().

### QWebSecurityOrigin & QWebSecurityOrigin::operator= ( const QWebSecurityOrigin & other )

Assigns the other security origin to this.